/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<qqmlwebsocket.h>)
#  include <qqmlwebsocket.h>
#endif
#if __has_include(<qqmlwebsocketserver.h>)
#  include <qqmlwebsocketserver.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_QtWebSockets()
{
    qmlRegisterModule("QtWebSockets", 1, 0);
    qmlRegisterModule("QtWebSockets", 1, 254);
    qmlRegisterModule("QtWebSockets", 6, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<QQmlWebSocket>("QtWebSockets", 6);
    qmlRegisterEnum<QQmlWebSocket::Status>("QQmlWebSocket::Status");
    qmlRegisterTypesAndRevisions<QQmlWebSocketServer>("QtWebSockets", 6);
    QT_WARNING_POP
    qmlRegisterModule("QtWebSockets", 6, 12);
}

static const QQmlModuleRegistration qtWebSocketsRegistration("QtWebSockets", qml_register_types_QtWebSockets);
